package structure

// NValue Node节点的必备的结构
type NValue struct {
	IValue interface{}
}

// ValueInt 返回 Int
func (node *NValue) ValueInt() int {
	return node.IValue.(int)
}

// Value  返回 Value interface
func (node *NValue) Value() interface{} {
	return node.IValue
}

// ValueInt8 返回 Int
func (node *NValue) ValueInt8() int8 {
	return node.IValue.(int8)
}

// ValueInt16 返回 Int
func (node *NValue) ValueInt16() int16 {
	return node.IValue.(int16)
}

// ValueInt32 返回 Int32
func (node *NValue) ValueInt32() int32 {
	return node.IValue.(int32)
}

// ValueInt64 返回 Int64
func (node *NValue) ValueInt64() int64 {
	return node.IValue.(int64)
}
